# SimpleStockData

SimpleStockData is a simple library providing an API to access basic stock prices.
You just have to specify a start and an end date, or a specific period, and - if
needed - a currency to convert all stock prices to.


## Installation

To get started using the library, the pip packages `numpy`, `pandas` and `yfinance`
have to be installed. To do this, type in the following:
```commandline
pip3 install numpy pandas yfinance
```

### Legal Disclaimer
*** IMPORTANT LEGAL DISCLAIMER ***

Yahoo!, Y!Finance, and Yahoo! finance are registered trademarks of Yahoo, Inc.

yfinance is not affiliated, endorsed, or vetted by Yahoo, Inc. It's an open-source tool that uses Yahoo's publicly available APIs, and is intended for research and educational purposes.

You should refer to Yahoo!'s terms of use (here, here, and here) for details on your rights to use the actual data downloaded. Remember - the Yahoo! finance API is intended for personal use only.

[[see also]](https://pypi.org/project/yfinance/)


## Usage

### If used as a CLI:
TODO;

### If used as a Module in Python (via `import`):
TODO;


## Thanks to
- [yfinance](https://pypi.org/project/yfinance/) - the library used in the background
to get stock prices and exchange rates from Yahoo Finance.

- [Pandas](https://pypi.org/project/pandas/) - the powerful Python data analysis toolkit

- [Numpy](https://pypi.org/project/numpy/) - used in combination with pandas for
precise calculations


## License (Unlicense)

``
This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or distribute this software, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

In jurisdictions that recognize copyright laws, the author or authors of this software dedicate any and all copyright interest in the software to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org/>
```